Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.dao
Class ConcurrencyFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.TransientDataAccessException
                              org.springframework.dao.ConcurrencyFailureException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  OptimisticLockingFailureException, PessimisticLockingFailureException

    public class ConcurrencyFailureException

extends TransientDataAccessException

Exception thrown on concurrency failure.

This exception should be subclassed to indicate the type of failure: optimistic locking, failure to acquire lock, etc.

Since:
  1.1
Author:
  Thomas Risberg
See Also:
  `OptimisticLockingFailureException`, `PessimisticLockingFailureException`, `CannotAcquireLockException`, `DeadlockLoserDataAccessException`, Serialized Form

Constructor Summary
`ConcurrencyFailureException(java.lang.String msg)` Constructor for ConcurrencyFailureException.
`ConcurrencyFailureException(java.lang.String msg, java.lang.Throwable cause)` Constructor for ConcurrencyFailureException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConcurrencyFailureException

    public ConcurrencyFailureException(java.lang.String msg)

  Constructor for ConcurrencyFailureException.

  Parameters:
    `msg` - the detail message

### ConcurrencyFailureException

    public ConcurrencyFailureException(java.lang.String msg,
                                       java.lang.Throwable cause)

  Constructor for ConcurrencyFailureException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause from the data access API in use

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD